Early access
List all leave balances
Returns a list of leave balances for every person the service account can see
Returns a list of leave balances for every person the service account can see
Query Parameters
Page offset to fetch.
int321Number of results to return per page.
int32100Pad a number of results.
int320Filter by employee IDs. e.g., employee_ids[]=1&employee_ids[]=2
Filter by leave type IDs. e.g., leave_type_ids[]=1&leave_type_ids[]=2
Response Body
application/json
curl -X GET "https://example.com/api/v4/leave_balances"{ "data": [ { "id": 0, "employee_id": 0, "employee": { "id": 0, "first_name": "string", "last_name": "string", "email": "string", "type": "string" }, "effective_on": "2019-08-24", "balance": 0.1, "leave_type_policy": { "id": 0, "name": "string" }, "leave_type": { "id": 0, "name": "string", "unit": "string", "hex_color": "string", "fa_class": "string", "created_at": null } } ], "metadata": { "page": 0, "per_page": 0, "total_pages": 0, "total_count": 0 }}List all leave requests GET
Returns a list of leave requests for every person the service account can see
List documents in a folder GET
Lists documents across employees in one folder. `created_at` is the upload time and `updated_at` the last change, not an invoice date. Download file URLs before their expiry; list the documents again to obtain fresh URLs.
